Skip to content

Get resource details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get resource details based on the filter conditions.

Method name

ManagementClient.getResource

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
codestringYes-Resource unique identifierecs
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getResource({
    code: "ecs",
    namespace: "default",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ResourceRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ResourceDtoResource details

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "ecs",
    "description": "Server",
    "name": "Server",
    "type": "API",
    "actions": "[{\"name\":\"ecs:Start\",\"description\":\"Start ECS server\"},{\"name\":\"ecs:Stop\",\"description\":\"Stop ECS server\"}]",
    "apiIdentifier": "https://my-awesome-api.com/api",
    "namespace": "default"
  }
}

Data structure

ResourceDto

NameTypeIs it required?DescriptionSample value
codestringYesResource unique identifierecs
descriptionstringNoResource descriptionServer
namestringNoResource nameServer
typestringYesResource type, such as data, API, button, menuDATA
actionsarrayNoAction type defined by the resource Nested type: <a ResourceAction. Array length limit: 100.[{"name":"ecs:Start","description":"Start ECS server"},{"name":"ecs:Stop","description":"Stop ECS server"}]
apiIdentifierstringNoURL identifier of the API resourcehttps://my-awesome-api.com/api
namespacestringNoCode of the permission group (permission space). If not passed, the default permission group will be obtained.default
linkedToTenantbooleannoWhether the tenant application is associated with the self-built application resource

ResourceAction

NameTypeIs it required?DescriptionSample value
namestringyesResource operation nameecs:Start
descriptionstringyesResource operation descriptionecs:Start

Agent infrastructure for identity, memory, and web action.